OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.DirectStateAccess

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBDirectStateAccess :: MonadIO m => m Bool
- gl_ARB_direct_state_access :: Bool
- gl_QUERY_TARGET :: GLenum
- gl_TEXTURE_BINDING_1D :: GLenum
- gl_TEXTURE_BINDING_1D_ARRAY :: GLenum
- gl_TEXTURE_BINDING_2D :: GLenum
- gl_TEXTURE_BINDING_2D_ARRAY :: GLenum
- gl_TEXTURE_BINDING_2D_MULTISAMPLE :: GLenum
- gl_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY :: GLenum
- gl_TEXTURE_BINDING_3D :: GLenum
- gl_TEXTURE_BINDING_BUFFER :: GLenum
- gl_TEXTURE_BINDING_CUBE_MAP :: GLenum
- gl_TEXTURE_BINDING_CUBE_MAP_ARRAY :: GLenum
- gl_TEXTURE_BINDING_RECTANGLE :: GLenum
- gl_TEXTURE_TARGET :: GLenum
- glBindTextureUnit :: MonadIO m => GLuint -> GLuint -> m ()
- glBlitNamedFramebuffer :: MonadIO m => GLuint -> GLuint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLbitfield -> GLenum -> m ()
- glCheckNamedFramebufferStatus :: MonadIO m => GLuint -> GLenum -> m GLenum
- glClearNamedBufferData :: MonadIO m => GLuint -> GLenum -> GLenum -> GLenum -> Ptr a -> m ()
- glClearNamedBufferSubData :: MonadIO m => GLuint -> GLenum -> GLintptr -> GLsizeiptr -> GLenum -> GLenum -> Ptr a -> m ()
- glClearNamedFramebufferfi :: MonadIO m => GLuint -> GLenum -> GLfloat -> GLint -> m ()
- glClearNamedFramebufferfv :: MonadIO m => GLuint -> GLenum -> GLint -> Ptr GLfloat -> m ()
- glClearNamedFramebufferiv :: MonadIO m => GLuint -> GLenum -> GLint -> Ptr GLint -> m ()
- glClearNamedFramebufferuiv :: MonadIO m => GLuint -> GLenum -> GLint -> Ptr GLuint -> m ()
- glCompressedTextureSubImage1D :: MonadIO m => GLuint -> GLint -> GLint -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCompressedTextureSubImage2D :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCompressedTextureSubImage3D :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLsizei -> Ptr a -> m ()
- glCopyNamedBufferSubData :: MonadIO m => GLuint -> GLuint -> GLintptr -> GLintptr -> GLsizeiptr -> m ()
- glCopyTextureSubImage1D :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> m ()
- glCopyTextureSubImage2D :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glCopyTextureSubImage3D :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glCreateBuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glCreateFramebuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glCreateProgramPipelines :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glCreateQueries :: MonadIO m => GLenum -> GLsizei -> Ptr GLuint -> m ()
- glCreateRenderbuffers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glCreateSamplers :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glCreateTextures :: MonadIO m => GLenum -> GLsizei -> Ptr GLuint -> m ()
- glCreateTransformFeedbacks :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glCreateVertexArrays :: MonadIO m => GLsizei -> Ptr GLuint -> m ()
- glDisableVertexArrayAttrib :: MonadIO m => GLuint -> GLuint -> m ()
- glEnableVertexArrayAttrib :: MonadIO m => GLuint -> GLuint -> m ()
- glFlushMappedNamedBufferRange :: MonadIO m => GLuint -> GLintptr -> GLsizeiptr -> m ()
- glGenerateTextureMipmap :: MonadIO m => GLuint -> m ()
- glGetCompressedTextureImage :: MonadIO m => GLuint -> GLint -> GLsizei -> Ptr a -> m ()
- glGetNamedBufferParameteri64v :: MonadIO m => GLuint -> GLenum -> Ptr GLint64 -> m ()
- glGetNamedBufferParameteriv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetNamedBufferPointerv :: MonadIO m => GLuint -> GLenum -> Ptr (Ptr a) -> m ()
- glGetNamedBufferSubData :: MonadIO m => GLuint -> GLintptr -> GLsizeiptr -> Ptr a -> m ()
- glGetNamedFramebufferAttachmentParameteriv :: MonadIO m => GLuint -> GLenum -> GLenum -> Ptr GLint -> m ()
- glGetNamedFramebufferParameteriv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetNamedRenderbufferParameteriv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetQueryBufferObjecti64v :: MonadIO m => GLuint -> GLuint -> GLenum -> GLintptr -> m ()
- glGetQueryBufferObjectiv :: MonadIO m => GLuint -> GLuint -> GLenum -> GLintptr -> m ()
- glGetQueryBufferObjectui64v :: MonadIO m => GLuint -> GLuint -> GLenum -> GLintptr -> m ()
- glGetQueryBufferObjectuiv :: MonadIO m => GLuint -> GLuint -> GLenum -> GLintptr -> m ()
- glGetTextureImage :: MonadIO m => GLuint -> GLint -> GLenum -> GLenum -> GLsizei -> Ptr a -> m ()
- glGetTextureLevelParameterfv :: MonadIO m => GLuint -> GLint -> GLenum -> Ptr GLfloat -> m ()
- glGetTextureLevelParameteriv :: MonadIO m => GLuint -> GLint -> GLenum -> Ptr GLint -> m ()
- glGetTextureParameterIiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetTextureParameterIuiv :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glGetTextureParameterfv :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glGetTextureParameteriv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetTransformFeedbacki64_v :: MonadIO m => GLuint -> GLenum -> GLuint -> Ptr GLint64 -> m ()
- glGetTransformFeedbacki_v :: MonadIO m => GLuint -> GLenum -> GLuint -> Ptr GLint -> m ()
- glGetTransformFeedbackiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glGetVertexArrayIndexed64iv :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr GLint64 -> m ()
- glGetVertexArrayIndexediv :: MonadIO m => GLuint -> GLuint -> GLenum -> Ptr GLint -> m ()
- glGetVertexArrayiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glInvalidateNamedFramebufferData :: MonadIO m => GLuint -> GLsizei -> Ptr GLenum -> m ()
- glInvalidateNamedFramebufferSubData :: MonadIO m => GLuint -> GLsizei -> Ptr GLenum -> GLint -> GLint -> GLsizei -> GLsizei -> m ()
- glMapNamedBuffer :: MonadIO m => GLuint -> GLenum -> m (Ptr a)
- glMapNamedBufferRange :: MonadIO m => GLuint -> GLintptr -> GLsizeiptr -> GLbitfield -> m (Ptr a)
- glNamedBufferData :: MonadIO m => GLuint -> GLsizeiptr -> Ptr a -> GLenum -> m ()
- glNamedBufferStorage :: MonadIO m => GLuint -> GLsizeiptr -> Ptr a -> GLbitfield -> m ()
- glNamedBufferSubData :: MonadIO m => GLuint -> GLintptr -> GLsizeiptr -> Ptr a -> m ()
- glNamedFramebufferDrawBuffer :: MonadIO m => GLuint -> GLenum -> m ()
- glNamedFramebufferDrawBuffers :: MonadIO m => GLuint -> GLsizei -> Ptr GLenum -> m ()
- glNamedFramebufferParameteri :: MonadIO m => GLuint -> GLenum -> GLint -> m ()
- glNamedFramebufferReadBuffer :: MonadIO m => GLuint -> GLenum -> m ()
- glNamedFramebufferRenderbuffer :: MonadIO m => GLuint -> GLenum -> GLenum -> GLuint -> m ()
- glNamedFramebufferTexture :: MonadIO m => GLuint -> GLenum -> GLuint -> GLint -> m ()
- glNamedFramebufferTextureLayer :: MonadIO m => GLuint -> GLenum -> GLuint -> GLint -> GLint -> m ()
- glNamedRenderbufferStorage :: MonadIO m => GLuint -> GLenum -> GLsizei -> GLsizei -> m ()
- glNamedRenderbufferStorageMultisample :: MonadIO m => GLuint -> GLsizei -> GLenum -> GLsizei -> GLsizei -> m ()
- glTextureBuffer :: MonadIO m => GLuint -> GLenum -> GLuint -> m ()
- glTextureBufferRange :: MonadIO m => GLuint -> GLenum -> GLuint -> GLintptr -> GLsizeiptr -> m ()
- glTextureParameterIiv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glTextureParameterIuiv :: MonadIO m => GLuint -> GLenum -> Ptr GLuint -> m ()
- glTextureParameterf :: MonadIO m => GLuint -> GLenum -> GLfloat -> m ()
- glTextureParameterfv :: MonadIO m => GLuint -> GLenum -> Ptr GLfloat -> m ()
- glTextureParameteri :: MonadIO m => GLuint -> GLenum -> GLint -> m ()
- glTextureParameteriv :: MonadIO m => GLuint -> GLenum -> Ptr GLint -> m ()
- glTextureStorage1D :: MonadIO m => GLuint -> GLsizei -> GLenum -> GLsizei -> m ()
- glTextureStorage2D :: MonadIO m => GLuint -> GLsizei -> GLenum -> GLsizei -> GLsizei -> m ()
- glTextureStorage2DMultisample :: MonadIO m => GLuint -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTextureStorage3D :: MonadIO m => GLuint -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLsizei -> m ()
- glTextureStorage3DMultisample :: MonadIO m => GLuint -> GLsizei -> GLenum -> GLsizei -> GLsizei -> GLsizei -> GLboolean -> m ()
- glTextureSubImage1D :: MonadIO m => GLuint -> GLint -> GLint -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glTextureSubImage2D :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glTextureSubImage3D :: MonadIO m => GLuint -> GLint -> GLint -> GLint -> GLint -> GLsizei -> GLsizei -> GLsizei -> GLenum -> GLenum -> Ptr a -> m ()
- glTransformFeedbackBufferBase :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glTransformFeedbackBufferRange :: MonadIO m => GLuint -> GLuint -> GLuint -> GLintptr -> GLsizeiptr -> m ()
- glUnmapNamedBuffer :: MonadIO m => GLuint -> m GLboolean
- glVertexArrayAttribBinding :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glVertexArrayAttribFormat :: MonadIO m => GLuint -> GLuint -> GLint -> GLenum -> GLboolean -> GLuint -> m ()
- glVertexArrayAttribIFormat :: MonadIO m => GLuint -> GLuint -> GLint -> GLenum -> GLuint -> m ()
- glVertexArrayAttribLFormat :: MonadIO m => GLuint -> GLuint -> GLint -> GLenum -> GLuint -> m ()
- glVertexArrayBindingDivisor :: MonadIO m => GLuint -> GLuint -> GLuint -> m ()
- glVertexArrayElementBuffer :: MonadIO m => GLuint -> GLuint -> m ()
- glVertexArrayVertexBuffer :: MonadIO m => GLuint -> GLuint -> GLuint -> GLintptr -> GLsizei -> m ()
- glVertexArrayVertexBuffers :: MonadIO m => GLuint -> GLuint -> GLsizei -> Ptr GLuint -> Ptr GLintptr -> Ptr GLsizei -> m ()

# Extension Support

glGetARBDirectStateAccess :: MonadIO m => m Bool

Is the ARB_direct_state_access extension supported?

gl_ARB_direct_state_access :: Bool

Is the ARB_direct_state_access extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBDirectStateAccess` in those cases instead.

# Enums

gl_QUERY_TARGET :: GLenum

gl_TEXTURE_BINDING_1D :: GLenum

gl_TEXTURE_BINDING_1D_ARRAY :: GLenum

gl_TEXTURE_BINDING_2D :: GLenum

gl_TEXTURE_BINDING_2D_ARRAY :: GLenum

gl_TEXTURE_BINDING_2D_MULTISAMPLE :: GLenum

gl_TEXTURE_BINDING_2D_MULTISAMPLE_ARRAY :: GLenum

gl_TEXTURE_BINDING_3D :: GLenum

gl_TEXTURE_BINDING_BUFFER :: GLenum

gl_TEXTURE_BINDING_CUBE_MAP :: GLenum

gl_TEXTURE_BINDING_CUBE_MAP_ARRAY :: GLenum

gl_TEXTURE_BINDING_RECTANGLE :: GLenum

gl_TEXTURE_TARGET :: GLenum

# Functions

glBindTextureUnit

Arguments

:: MonadIO m |
=> GLuint | `unit`.
-> GLuint | `texture`.
-> m () |

Manual page for OpenGL 4.x.

glBlitNamedFramebuffer

Arguments

:: MonadIO m |
=> GLuint | `readFramebuffer`.
-> GLuint | `drawFramebuffer`.
-> GLint | `srcX0`.
-> GLint | `srcY0`.
-> GLint | `srcX1`.
-> GLint | `srcY1`.
-> GLint | `dstX0`.
-> GLint | `dstY0`.
-> GLint | `dstX1`.
-> GLint | `dstY1`.
-> GLbitfield | `mask`.
-> GLenum | `filter`.
-> m () |

Manual page for OpenGL 4.x.

glCheckNamedFramebufferStatus

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `target`.
-> m GLenum |

Manual page for OpenGL 4.x.

glClearNamedBufferData

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `internalformat`.
-> GLenum | `format`.
-> GLenum | `type`.
-> Ptr a | `data`.
-> m () |

Manual page for OpenGL 4.x.

glClearNamedBufferSubData

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `internalformat`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> GLenum | `format`.
-> GLenum | `type`.
-> Ptr a | `data`.
-> m () |

Manual page for OpenGL 4.x.

glClearNamedFramebufferfi

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `buffer`.
-> GLfloat | `depth`.
-> GLint | `stencil`.
-> m () |

Manual page for OpenGL 4.x.

glClearNamedFramebufferfv

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `buffer`.
-> GLint | `drawbuffer`.
-> Ptr GLfloat | `value`.
-> m () |

Manual page for OpenGL 4.x.

glClearNamedFramebufferiv

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `buffer`.
-> GLint | `drawbuffer`.
-> Ptr GLint | `value`.
-> m () |

Manual page for OpenGL 4.x.

glClearNamedFramebufferuiv

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `buffer`.
-> GLint | `drawbuffer`.
-> Ptr GLuint | `value`.
-> m () |

Manual page for OpenGL 4.x.

glCompressedTextureSubImage1D

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLsizei | `width`.
-> GLenum | `format`.
-> GLsizei | `imageSize`.
-> Ptr a | `data`.
-> m () |

Manual page for OpenGL 4.x.

glCompressedTextureSubImage2D

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format`.
-> GLsizei | `imageSize`.
-> Ptr a | `data`.
-> m () |

Manual page for OpenGL 4.x.

glCompressedTextureSubImage3D

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLint | `zoffset`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLenum | `format`.
-> GLsizei | `imageSize`.
-> Ptr a | `data`.
-> m () |

Manual page for OpenGL 4.x.

glCopyNamedBufferSubData

Arguments

:: MonadIO m |
=> GLuint | `readBuffer`.
-> GLuint | `writeBuffer`.
-> GLintptr | `readOffset`.
-> GLintptr | `writeOffset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> m () |

Manual page for OpenGL 4.x.

glCopyTextureSubImage1D

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `x`.
-> GLint | `y`.
-> GLsizei | `width`.
-> m () |

Manual page for OpenGL 4.x.

glCopyTextureSubImage2D

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLint | `x`.
-> GLint | `y`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 4.x.

glCopyTextureSubImage3D

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLint | `zoffset`.
-> GLint | `x`.
-> GLint | `y`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 4.x.

glCreateBuffers

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `buffers`.
-> m () |

Manual page for OpenGL 4.x.

glCreateFramebuffers

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `framebuffers`.
-> m () |

Manual page for OpenGL 4.x.

glCreateProgramPipelines

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `pipelines`.
-> m () |

Manual page for OpenGL 4.x.

glCreateQueries

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizei | `n`.
-> Ptr GLuint | `ids`.
-> m () |

Manual page for OpenGL 4.x.

glCreateRenderbuffers

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `renderbuffers`.
-> m () |

Manual page for OpenGL 4.x.

glCreateSamplers

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `samplers`.
-> m () |

Manual page for OpenGL 4.x.

glCreateTextures

Arguments

:: MonadIO m |
=> GLenum | `target`.
-> GLsizei | `n`.
-> Ptr GLuint | `textures`.
-> m () |

Manual page for OpenGL 4.x.

glCreateTransformFeedbacks

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `ids`.
-> m () |

Manual page for OpenGL 4.x.

glCreateVertexArrays

Arguments

:: MonadIO m |
=> GLsizei | `n`.
-> Ptr GLuint | `arrays`.
-> m () |

Manual page for OpenGL 4.x.

glDisableVertexArrayAttrib

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `index`.
-> m () |

Manual page for OpenGL 4.x.

glEnableVertexArrayAttrib

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `index`.
-> m () |

Manual page for OpenGL 4.x.

glFlushMappedNamedBufferRange

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `length` of type `BufferSize`.
-> m () |

Manual page for OpenGL 4.x.

glGenerateTextureMipmap

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> m () |

Manual page for OpenGL 4.x.

glGetCompressedTextureImage

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLsizei | `bufSize`.
-> Ptr a | `pixels`.
-> m () |

Manual page for OpenGL 4.x.

glGetNamedBufferParameteri64v

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `pname`.
-> Ptr GLint64 | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetNamedBufferParameteriv

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `pname`.
-> Ptr GLint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetNamedBufferPointerv

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `pname`.
-> Ptr (Ptr a) | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetNamedBufferSubData

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> Ptr a | `data`.
-> m () |

Manual page for OpenGL 4.x.

glGetNamedFramebufferAttachmentParameteriv

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `attachment`.
-> GLenum | `pname`.
-> Ptr GLint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetNamedFramebufferParameteriv

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `pname`.
-> Ptr GLint | `param`.
-> m () |

Manual page for OpenGL 4.x.

glGetNamedRenderbufferParameteriv

Arguments

:: MonadIO m |
=> GLuint | `renderbuffer`.
-> GLenum | `pname`.
-> Ptr GLint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetQueryBufferObjecti64v

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLuint | `buffer`.
-> GLenum | `pname`.
-> GLintptr | `offset`.
-> m () |

glGetQueryBufferObjectiv

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLuint | `buffer`.
-> GLenum | `pname`.
-> GLintptr | `offset`.
-> m () |

glGetQueryBufferObjectui64v

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLuint | `buffer`.
-> GLenum | `pname`.
-> GLintptr | `offset`.
-> m () |

glGetQueryBufferObjectuiv

Arguments

:: MonadIO m |
=> GLuint | `id`.
-> GLuint | `buffer`.
-> GLenum | `pname`.
-> GLintptr | `offset`.
-> m () |

glGetTextureImage

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLenum | `format`.
-> GLenum | `type`.
-> GLsizei | `bufSize`.
-> Ptr a | `pixels`.
-> m () |

Manual page for OpenGL 4.x.

glGetTextureLevelParameterfv

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLenum | `pname`.
-> Ptr GLfloat | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetTextureLevelParameteriv

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLenum | `pname`.
-> Ptr GLint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetTextureParameterIiv

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname`.
-> Ptr GLint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetTextureParameterIuiv

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname`.
-> Ptr GLuint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetTextureParameterfv

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname`.
-> Ptr GLfloat | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetTextureParameteriv

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname`.
-> Ptr GLint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glGetTransformFeedbacki64_v

Arguments

:: MonadIO m |
=> GLuint | `xfb`.
-> GLenum | `pname`.
-> GLuint | `index`.
-> Ptr GLint64 | `param`.
-> m () |

Manual page for OpenGL 4.x.

glGetTransformFeedbacki_v

Arguments

:: MonadIO m |
=> GLuint | `xfb`.
-> GLenum | `pname`.
-> GLuint | `index`.
-> Ptr GLint | `param`.
-> m () |

Manual page for OpenGL 4.x.

glGetTransformFeedbackiv

Arguments

:: MonadIO m |
=> GLuint | `xfb`.
-> GLenum | `pname`.
-> Ptr GLint | `param`.
-> m () |

Manual page for OpenGL 4.x.

glGetVertexArrayIndexed64iv

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `index`.
-> GLenum | `pname`.
-> Ptr GLint64 | `param`.
-> m () |

Manual page for OpenGL 4.x.

glGetVertexArrayIndexediv

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `index`.
-> GLenum | `pname`.
-> Ptr GLint | `param`.
-> m () |

Manual page for OpenGL 4.x.

glGetVertexArrayiv

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLenum | `pname`.
-> Ptr GLint | `param`.
-> m () |

Manual page for OpenGL 4.x.

glInvalidateNamedFramebufferData

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLsizei | `numAttachments`.
-> Ptr GLenum | `attachments`.
-> m () |

Manual page for OpenGL 4.x.

glInvalidateNamedFramebufferSubData

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLsizei | `numAttachments`.
-> Ptr GLenum | `attachments`.
-> GLint | `x`.
-> GLint | `y`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 4.x.

glMapNamedBuffer

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLenum | `access`.
-> m (Ptr a) |

Manual page for OpenGL 4.x.

glMapNamedBufferRange

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `length` of type `BufferSize`.
-> GLbitfield | `access`.
-> m (Ptr a) |

Manual page for OpenGL 4.x.

glNamedBufferData

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> Ptr a | `data`.
-> GLenum | `usage`.
-> m () |

Manual page for OpenGL 4.x.

glNamedBufferStorage

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> Ptr a | `data` pointing to `size` elements of type `a`.
-> GLbitfield | `flags`.
-> m () |

Manual page for OpenGL 4.x.

glNamedBufferSubData

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> Ptr a | `data` pointing to `COMPSIZE(size)` elements of type `a`.
-> m () |

Manual page for OpenGL 4.x.

glNamedFramebufferDrawBuffer

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `buf`.
-> m () |

Manual page for OpenGL 4.x.

glNamedFramebufferDrawBuffers

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLsizei | `n`.
-> Ptr GLenum | `bufs`.
-> m () |

Manual page for OpenGL 4.x.

glNamedFramebufferParameteri

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `pname`.
-> GLint | `param`.
-> m () |

Manual page for OpenGL 4.x.

glNamedFramebufferReadBuffer

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `src`.
-> m () |

Manual page for OpenGL 4.x.

glNamedFramebufferRenderbuffer

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `attachment`.
-> GLenum | `renderbuffertarget`.
-> GLuint | `renderbuffer`.
-> m () |

Manual page for OpenGL 4.x.

glNamedFramebufferTexture

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `attachment`.
-> GLuint | `texture`.
-> GLint | `level`.
-> m () |

Manual page for OpenGL 4.x.

glNamedFramebufferTextureLayer

Arguments

:: MonadIO m |
=> GLuint | `framebuffer`.
-> GLenum | `attachment`.
-> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `layer`.
-> m () |

Manual page for OpenGL 4.x.

glNamedRenderbufferStorage

Arguments

:: MonadIO m |
=> GLuint | `renderbuffer`.
-> GLenum | `internalformat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 4.x.

glNamedRenderbufferStorageMultisample

Arguments

:: MonadIO m |
=> GLuint | `renderbuffer`.
-> GLsizei | `samples`.
-> GLenum | `internalformat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 4.x.

glTextureBuffer

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `internalformat`.
-> GLuint | `buffer`.
-> m () |

Manual page for OpenGL 4.x.

glTextureBufferRange

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `internalformat`.
-> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> m () |

Manual page for OpenGL 4.x.

glTextureParameterIiv

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname`.
-> Ptr GLint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glTextureParameterIuiv

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname`.
-> Ptr GLuint | `params`.
-> m () |

Manual page for OpenGL 4.x.

glTextureParameterf

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname`.
-> GLfloat | `param`.
-> m () |

Manual page for OpenGL 4.x.

glTextureParameterfv

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname`.
-> Ptr GLfloat | `param`.
-> m () |

Manual page for OpenGL 4.x.

glTextureParameteri

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname`.
-> GLint | `param`.
-> m () |

Manual page for OpenGL 4.x.

glTextureParameteriv

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLenum | `pname`.
-> Ptr GLint | `param`.
-> m () |

Manual page for OpenGL 4.x.

glTextureStorage1D

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLsizei | `levels`.
-> GLenum | `internalformat`.
-> GLsizei | `width`.
-> m () |

Manual page for OpenGL 4.x.

glTextureStorage2D

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLsizei | `levels`.
-> GLenum | `internalformat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> m () |

Manual page for OpenGL 4.x.

glTextureStorage2DMultisample

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLsizei | `samples`.
-> GLenum | `internalformat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLboolean | `fixedsamplelocations`.
-> m () |

Manual page for OpenGL 4.x.

glTextureStorage3D

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLsizei | `levels`.
-> GLenum | `internalformat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> m () |

Manual page for OpenGL 4.x.

glTextureStorage3DMultisample

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLsizei | `samples`.
-> GLenum | `internalformat`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLboolean | `fixedsamplelocations`.
-> m () |

Manual page for OpenGL 4.x.

glTextureSubImage1D

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLsizei | `width`.
-> GLenum | `format`.
-> GLenum | `type`.
-> Ptr a | `pixels`.
-> m () |

Manual page for OpenGL 4.x.

glTextureSubImage2D

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLenum | `format`.
-> GLenum | `type`.
-> Ptr a | `pixels`.
-> m () |

Manual page for OpenGL 4.x.

glTextureSubImage3D

Arguments

:: MonadIO m |
=> GLuint | `texture`.
-> GLint | `level`.
-> GLint | `xoffset`.
-> GLint | `yoffset`.
-> GLint | `zoffset`.
-> GLsizei | `width`.
-> GLsizei | `height`.
-> GLsizei | `depth`.
-> GLenum | `format`.
-> GLenum | `type`.
-> Ptr a | `pixels`.
-> m () |

Manual page for OpenGL 4.x.

glTransformFeedbackBufferBase

Arguments

:: MonadIO m |
=> GLuint | `xfb`.
-> GLuint | `index`.
-> GLuint | `buffer`.
-> m () |

Manual page for OpenGL 4.x.

glTransformFeedbackBufferRange

Arguments

:: MonadIO m |
=> GLuint | `xfb`.
-> GLuint | `index`.
-> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizeiptr | `size` of type `BufferSize`.
-> m () |

Manual page for OpenGL 4.x.

glUnmapNamedBuffer

Arguments

:: MonadIO m |
=> GLuint | `buffer`.
-> m GLboolean |

Manual page for OpenGL 4.x.

glVertexArrayAttribBinding

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `attribindex`.
-> GLuint | `bindingindex`.
-> m () |

Manual page for OpenGL 4.x.

glVertexArrayAttribFormat

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `attribindex`.
-> GLint | `size`.
-> GLenum | `type`.
-> GLboolean | `normalized`.
-> GLuint | `relativeoffset`.
-> m () |

Manual page for OpenGL 4.x.

glVertexArrayAttribIFormat

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `attribindex`.
-> GLint | `size`.
-> GLenum | `type`.
-> GLuint | `relativeoffset`.
-> m () |

Manual page for OpenGL 4.x.

glVertexArrayAttribLFormat

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `attribindex`.
-> GLint | `size`.
-> GLenum | `type`.
-> GLuint | `relativeoffset`.
-> m () |

Manual page for OpenGL 4.x.

glVertexArrayBindingDivisor

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `bindingindex`.
-> GLuint | `divisor`.
-> m () |

Manual page for OpenGL 4.x.

glVertexArrayElementBuffer

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `buffer`.
-> m () |

Manual page for OpenGL 4.x.

glVertexArrayVertexBuffer

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `bindingindex`.
-> GLuint | `buffer`.
-> GLintptr | `offset`.
-> GLsizei | `stride`.
-> m () |

Manual page for OpenGL 4.x.

glVertexArrayVertexBuffers

Arguments

:: MonadIO m |
=> GLuint | `vaobj`.
-> GLuint | `first`.
-> GLsizei | `count`.
-> Ptr GLuint | `buffers`.
-> Ptr GLintptr | `offsets`.
-> Ptr GLsizei | `strides`.
-> m () |

Manual page for OpenGL 4.x.